Subject: Re: ZPyGreSQLDA Compile
From: Sherwood Robinson <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Jun 2001 14:17:12 -0400

Well that was a big one step backward wasn't it.  Got me back to where I 
needed to be and applied your patch.  No error message this time.  Thanks 
Jason for helping me out with this.  I can now say I am a little bit wiser 
about this whole thing.  Now to see if it works...

Kudos and thank you

SR

At 01:40 PM 6/7/2001 -0400, Sherwood Robinson wrote:
>il.fredericksburg.com>
>Mime-Version: 1.0
>Content-Type: text/plain; charset="us-ascii"; format=flowed
>
>At 12:14 PM 6/7/2001 -0400, Jason Tishler wrote:
>>Sherwood,
>>
>>On Thu, Jun 07, 2001 at 11:53:48AM -0400, Sherwood Robinson wrote:
>> > [snip]
>> > gcc -shared -Wl,--enable-auto-image-base  ./pgmodule.o  -lpq -lcrypt 
>> -L/usr/lib/ python2.1/config -lpython2.1 -o ./_pgmodule.dll
>> > Cannot export _bss_end__: symbol not defined
>> > Cannot export _bss_start__: symbol not defined
>> > Cannot export _data_end__: symbol not defined
>> > Cannot export _data_start__: symbol not defined
>> > collect2: ld returned 1 exit status

>> > make: *** [_pgmodule.dll] Error 1
>> >
>> > Anyone tell me what I am doing wrong here?
>
>>
>>The above is caused because no symbols are being exported from
>>_pgmodule.dll.  The attached patch should solved this problem.  However,
>>I did *not* actually test it.
>>
>>Note that the source that you are using for pgmodule is old.  Newer
>>versions already have this patch applied.
>>
>>BTW, why don't you use the pre-built _pgmodule.dll that is part of the
>>Cygwin PostgreSQL 7.1.2 distribution?
>
>Oh because I am new to cygwin, PostgreSQL and this whole compile thing and 
>I was just following the instructions with the source that is about 2 
>years old.  As a matter of fact I may have done that already.  I changed 
>my Start file so that is was different and got a different output message.
>
>new m
>essage
>
>gcc -DUSE_DL_IMPORT -g -O2 -Wall -Wstrict-prototypes 
>-I/usr/include/python2.1 -
>/usr/include/python2.1 
>-DHAVE_CONFIG_H  -I/cygwin/usr/src/postgresql-7.1.2/src/
>nclude -c ././pgmodule.c -o ./pgmodule.o
>././pgmodule.c:30: libpq-fe.h: No such file or directory
>././pgmodule.c:31: libpq/libpq-fs.h: No such file or directory
>make: *** [pgmodule.o] Error 1
>
>Trying to find what is targeting the files that are there but it can't 
>find now.
>
>Thanks for all your Help Jason.  I really appreciate it!
>
>SR
>
>
>>Jason
>>
>>--
>>Jason Tishler
>>Director, Software Engineering       Phone: 732.264.8770 x235
>>Dot Hill Systems Corp.               Fax:   732.264.8798
>>82 Bethany Road, Suite 7             Email: [email-masked]
>>Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>
>
>----------------------------------------------------
>Sherwood Robinson
>Hostmaster
>The Free Lance-Star/Internet Department
>[email-masked]
>http://www.fredericksburg.com
>
>616 Amelia St.
>Fredericksburg, VA 22401
>540-374-5000 ext. 5657
>
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple
>

----------------------------------------------------
Sherwood Robinson

Hostmaster
The Free Lance-Star/Internet Department
[email-masked]
http://www.fredericksburg.com

616 Amelia St.
Fredericksburg, VA 22401
540-374-5000 ext. 5657

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple